% plt_obfunc2.m
% Visualisering av optimalkriterium, J(g1,g2)

clear global
global a b q p x0 h t N

a=[-0.1 0;-1,0]; b=[1;0]; x0=[5;2];
q=[2,0;0,1]; p=1;
h=0.005;                   % Skrittlengde.
t=0:h:7;                   % Oppdeling av tidsaksen.
N=length(t);

g1=-2:0.2:-0.1; nx=length(g1);
g2=0.1:0.2:2;   ny=length(g2);

ny*nx
for y=1:ny
   for x=1:nx
      g=[g1(x) g2(y)];
      J=obfunc3(g);        % en langt raskere impementering enn obfunc2
      %J=obfunc2(g);
      z(x,y)=J;
   end
end

clf
surf(g1,g2,z)
title('Visualisering av J(g1,g2)')
xlabel('g1-akse'), ylabel('g2-akse'), zlabel('J-akse')
