function fy=dampfjaer(t,y)
% dampfjaer
% fy=dampfjaer(t,x)
% Beskrivelse: Funksjon for definering av hoeyresiden i fjaermodell.
% Inngangsvariable: x  - tilstandsvektoren ved tidspunkt t.
% Utgangsvariabel:  fy - hoeyresiden i diff. ligningen., dvs. dot(x)=fy.

%global k m x0 mu g F                 % Ofte en fordel aa definere globalt.        
k=2; m=5; x0=1; mu=0.5; g=9.81; F=0;

x=y(1);
v=y(2);
fx=v;
fy=-k*(x-x0)/m - mu*v/m -g + F/m;
fy=[fx;fy];